--- Makefile.in.orig	2010-04-03 02:47:58.000000000 +1100
+++ Makefile.in	2022-10-19 17:58:35.000000000 +1100
@@ -1,6 +1,7 @@
 
-CFLAGS+=-g -Wall @CFLAGS@ @DEFS@ -I. -O0
-LDADD+=@LIBS@
+CFLAGS+=-g -Wall @CFLAGS@
+CPPFLAGS+= -I. @DEFS@ @CPPFLAGS@
+LDADD+=@LDFLAGS@ @LIBS@
 INSTALL=@INSTALL@
 CC=@CC@
 LN_S=@LN_S@
@@ -12,35 +13,35 @@
 	$(CC) ${CFLAGS} cdpd.o daemon.o strlcpy.o -o cdpd ${LDADD}
 
 .c.o:
-	$(CC) $(CFLAGS) -c $< 
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c $< 
 
 install: cdpd
-	@if [ ! -d @prefix@@libexecdir@ ] ; then \
-		mkdir -p @prefix@@libexecdir@ ; \
+	@if [ ! -d $(DESTDIR)@prefix@@libexecdir@ ] ; then \
+		mkdir -p $(DESTDIR)@prefix@@libexecdir@ ; \
 	fi
-	@if [ ! -d @prefix@@mandir@/man8 ] ; then \
-		mkdir -p @prefix@@mandir@/man8 ; \
+	@if [ ! -d $(DESTDIR)@prefix@@mandir@/man8 ] ; then \
+		mkdir -p $(DESTDIR)@prefix@@mandir@/man8 ; \
 	fi
-	$(INSTALL) -c -m 755 cdpd @prefix@@libexecdir@/cdpd@EXEEXT@
-	$(INSTALL) -c -m 644 cdpd.8 @prefix@@mandir@/man8/
-	@if [ -d /usr/local/etc/rc.d -a ! -f /usr/local/etc/rc.d/cdpd.sh ] ; then \
+	$(INSTALL) -c -m 755 cdpd $(DESTDIR)@prefix@@libexecdir@/cdpd@EXEEXT@
+	$(INSTALL) -c -m 644 cdpd.8 $(DESTDIR)@prefix@@mandir@/man8/
+	@if [ -d $(DESTDIR)/usr/local/etc/rc.d -a ! -f $(DESTDIR)/usr/local/etc/rc.d/cdpd.sh ] ; then \
 		echo "installing startup script into /usr/local/etc/rc.d" ; \
-		$(INSTALL) -c -m 755 cdpd.sh /usr/local/etc/rc.d ; \
+		$(INSTALL) -c -m 755 cdpd.sh $(DESTDIR)/usr/local/etc/rc.d ; \
 	fi 
-	@if [ -d /etc/init.d -a -d /etc/rc3.d ] ; then \
-		if [ ! -f /etc/init.d/cdpd ] ; then \
+	@if [ -d $(DESTDIR)/etc/init.d -a -d $(DESTDIR)/etc/rc3.d ] ; then \
+		if [ ! -f $(DESTDIR)/etc/init.d/cdpd ] ; then \
 			echo -n "installing startup script into /etc/init.d" ; \
-			$(INSTALL) -c -m 755 cdpd2.sh /etc/init.d/cdpd ; \
+			$(INSTALL) -c -m 755 cdpd2.sh $(DESTDIR)/etc/init.d/cdpd ; \
 		fi ; \
-		if [ ! -f /etc/rc3.d/S98cdpd ] ; then \
+		if [ ! -f $(DESTDIR)/etc/rc3.d/S98cdpd ] ; then \
 			echo -n " , linking into rc3.d" ; \
-			$(LN_S) /etc/init.d/cdpd /etc/rc3.d/S98cdpd ; \
-			$(LN_S) /etc/init.d/cdpd /etc/rc3.d/K98cdpd ; \
+			$(LN_S) /etc/init.d/cdpd $(DESTDIR)/etc/rc3.d/S98cdpd ; \
+			$(LN_S) /etc/init.d/cdpd $(DESTDIR)/etc/rc3.d/K98cdpd ; \
 		fi ; \
-		if [ -d /etc/rc5.d -a ! -f /etc/rc5.d/S98cdpd ] ; then \
+		if [ -d $(DESTDIR)/etc/rc5.d -a ! -f $(DESTDIR)/etc/rc5.d/S98cdpd ] ; then \
 			echo -n " , linking into rc5.d" ; \
-			$(LN_S) /etc/init.d/cdpd /etc/rc5.d/S98cdpd ; \
-			$(LN_S) /etc/init.d/cdpd /etc/rc5.d/K98cdpd ; \
+			$(LN_S) /etc/init.d/cdpd $(DESTDIR)/etc/rc5.d/S98cdpd ; \
+			$(LN_S) /etc/init.d/cdpd $(DESTDIR)/etc/rc5.d/K98cdpd ; \
 		fi ; \
 		echo ; \
 	fi
